<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    
<title>Moodle Docs: Old Release notes</title>
    
<link rel="stylesheet" href="docstyles.css" type="TEXT/CSS" />
    
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    
<style type="text/css">
       dt {font-family: "Trebuchet MS", Verdana, Arial, Helvetica, sans-serif; font-weight: bold;}
       dd {margin-bottom:1em;}
       dl {margin-left: 40px} 
    </style>
</head>

<body>


<h1>Old Release notes</h1>

<h3>Moodle 1.4.5 (7th May, 2005)</h3>

<p>(Because this release contains important security fixes, we highly advise that sites using any 
    previous version of Moodle upgrade to this version as soon as possible.)</p>


  <dl>
    <dt>Some important security fixes</dt>
    <dd>
      <ul>
        <li>Preventative measures against attacks to admin functions.</li>
    <li>Lesson: Safer hiding of lessons (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2733" target="_blank">#2733</a>)</li>  
      </ul>
    </dd>

    <dt>A few new things</dt>
    <dd>
      <ul>
        <li>Flash Media Player:  Now playing can start before the download is complete.</li>   
        <li>Added/updated language support for German (DE) and Turkish (TR).</li>
        <li>Release notes now link to the relevant bugs.</li>
        <li>Prefetching requests from Google Web Accelerator, Mozilla etc are denied.</li>
      </ul>
    </dd>    
   <dt>Performance improvements</dt>
    <dd>
      <ul>
     <li>Added option to cache the languages list. Saves around 10MB of memory and 40 includes. See config-dist.php for details on how to enable.</li>
        <li>Major efficiency improvements for Postgres databases on insert. Also fixed many calls to insert_record() which discard the returned record id to not ask for the record id.</li>
      </ul>
    </dd>

    <dt>Other bug fixes</dt>
    <dd>
      <ul>
    <li>HTML Editor: Fixes to some character encoding problems.</li>
    <li>Quiz: fixes to export/import dropdown (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2963" target="_blank">#2963</a>)</li> 
    <li>Quiz:  Don't throw a fatal error on unknown question, try to continue.</li> 
    <li>Course Social Forum: Removed misleading link to unsubscribe (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2945" target="_blank">#2945</a>).</li>     
    <li>Additional/updated translations.</li> 
    <li>Forums and Groups: Allow students not in a group to post into a discussion which is also not in a group, even if the course is using groups.</li>
    <li>Sitewide HTML Editor settings: Fixed <a href="http://moodle.org/mod/forum/discuss.php?d=21359" target="_blank">Can't save changes in editor configuration</a> form bug.</li>
    <li>Cron: Removed some warnings.</li> 
    <li>Choice: Choice shows a bad number of answers (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2452" target="_blank">#2452</a>).</li> 
    <li>Better support for PHP5: Files uploads now use $_FILES rather than deprecated $HTTP_POST_FILES (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2828" target="_blank">#2828</a>)</li> 
    <li>Backup/Restore: Manual links from lesson pages to resources are now preserved between backup/restore anywhere. (see <a href="http://moodle.org/mod/forum/discuss.php?d=21044" target="_blank">this discussion</a>)</li> 
    <li>Some fixes for Postgres constraint naming.</li> 
    <li>I18N support: Reset proper encoding    upon login (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2770" target="_blank">#2770</a>).</li> 
    <li>I18N support: Fixed some instances of garbled characters when using utf-8 in HTML Editor (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2763" target="_blank">#2763</a>)</li> 
    <li>Flash Media Player: Turn off the autoloading of sound files.</li> 
    <li>Flash Media Player: Better handling of filenames files.</li> 
    <li>Postgres: Fixed sequences out of sequence (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2742" target="_blank">#2742</a>).</li>   
    <li>Backup: Fixed memory limit overrun in backup config page.</li>  
    <li>Forums: Fixed error warnings when a teacher posts to a forum (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2723" target="_blank">#2723</a>).</li>  
      </ul>
    </dd>

 

  </dl>


<p>&nbsp;</p>

<h3>Moodle 1.4.4 (7th March, 2005)</h3>

  <dl>
    <dt>Some important security fixes</dt>
    <dd>
      <ul>
        <li>Added strong URL validation functions.</li>
    <li>Preventative measures against tampering of config settings.</li>
    <li>Tighter input validation in Quiz, HTML editor and course edit.</li>
    <li>More control over user's language settings.</li>
    <li>Safer cleaning of HTML-formatted input.</li>
      </ul>
    </dd>

    <dt>A few new things</dt>
    <dd>
      <ul>
        <li>New MP3 content filter with Flash-based mp3 player.</li>
    <li>Better display of options in the Choice module.</li>
    <li>UI enhancements in HTML Editor's table editor.</li>
    <li>$CFG settings in config.php now override database settings.</li>
        <li>Enabled garbage collection for Debian systems, with the option to disable it. Fixes stale session problems.</li>
      </ul>
    </dd>
    
   <dt>Performance improvements</dt>
    <dd>
      <ul>
        <li>Serious performance optimizations in forums code.</li>
        <li>Various optimizations by removing unnecessary database retrievals and sorting.</li>
    <li>Major improvements in handling session locking. Downloading large files or monitoring the live logs will no longer slow down navigation in other windows.</li>
      </ul>
    </dd>

    <dt>Other bug fixes</dt>
    <dd>
      <ul>
    <li>Installer: Many fixes and updates from HEAD (including <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2625" target="_blank">#2625</a>) .</li>
    <li>Installer: We now check for allow_url_fopen() before trying to validate our own URL.</li>

        <li>Fixed some forum search problems.</li>
    <li>Fixed sorting bug on forums (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2613" target="_blank">#2613</a>).</li>

        <li>Fixed problems in user searches with trailing spaces.</li>
        <li>Fixed some instances of hardcoded /admin path.</li>
    <li>Fixed some groups-related bugs (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2133" target="_blank">#2133</a>, <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2550" target="_blank">#2550</a>, <a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2363" target="_blank">#2363</a>)</li>
    <li>Don't send HTML digests to people who want plain text email.</li>

    <li>SCORM module &mdash; fixed navbar error.</li>

        <li>Chat: Increased maximum socket read size to prevent  empty pages and repeated messages</li>
    <li>Files: added a &quot;Parent Folder&quot; icon, (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2491" target="_blank">#2491</a>).</li>

    <li>Postgres support: consistency fix in mdl_log table.</li>

    <li>Auth plugins: Better cleanup and truncation of data.</li>
    <li>Auth plugins: Fixed external authentication problem &mdash; if logged in as guest, logging in as external auth user fails if it is the first login ever for the account. </li>
    <li>Auth LDAP: Fixed a regression from 1.4.2 where a trailing semicolon in some config fields would break authentication.</li>
        <li>Auth DB: Database Authentication not fetching user data fields correctly (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2319" target="_blank">#2319</a>).</li>

        <li>Paypal Enrolment plugin: Now text sent to PayPal can
      be 'sanitised' to avoid some diacritics (Spanish for now) which break the
      enrol process.  Only German and French diacritics are supported for
      now by PayPal.  This functionality can be easily expanded to other
      characters. </li>

    <li>Backup/restore: If the user isn't admin and the restored course hasn't teachers, add teacher (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2381" target="_blank">#2381</a>)</li>
    <li>Backup/restore: Fixed errors with courses with apostrophes in the fullname.</li>
    <li>Backup/restore: Now group members are
      only included (backup and restore) if we have selected to have
      users (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2486" target="_blank">#2486</a>).</li>
    <li>Backup/Restore: General tidyup.</li>

    <li>Glossary: Now 0 rates are supported in glossary (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2582" target="_blank">#2582</a>) and better PHP5 support (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2581" target="_blank">#2581</a>).</li>
    <li>Glossary &amp; Blackboard: import fixes (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2310" target="_blank">#2310</a>).</li>

    <li>Calendar: more robust handling of bad data.</li>
    <li>Calendar: HTML fixes in calendar (<a href="http://moodle.org/bugs/bug.php?op=show&amp;bugid=2350" target="_blank">#2350</a>).</li>

    <li>Course sortorder was broken in 1.4.3 and would sometimes prevent course creation &mdash; all the known problems with sortorder are now fixed. Includes some related fixes in get_categories() calls that would sometimes show up in &quot;My Courses&quot; listings.</li>

    <li>Wiki: Several fixes.</li>
    <li>Loglive now has an appropriate page footer.</li>

    <li>Plus general cleanup and tidyups of the code.</li>
      </ul>
    </dd>

 

  </dl>


<p>&nbsp;</p>


<h3>Moodle 1.4.3 (21st December, 2004)</h3>

  <dl>
    <dt>Some important security fixes</dt>
    <dd>
      <ul>
        <li>Better checking/cleaning of cookie data</li>
    <li>Preventative measures for session fixation</li>
        <li>Better checking/cleaning of parameters for RSS feeds, ip atlas parameters,  glossary, forum, theme selection, SCORM module, document viewer</li>
        <li>Added protection in viewing of uploaded files</li>
        <li>Added protection against directory traversal</li>
        <li>Fix for variable $FULLME necessary for cron</li>
        <li>Prevention against internal libraries being called directly.</li>
        <li>Prevent viewing of glossary if it's a hidden activity</li>
        <li>Hidden sections hidden from students in recent activity</li>
        <li>Fixed problem with guest user being able to see  events in the calendar</li>
        <li>Fixed encoding of TEX expressions</li>
      </ul>
    </dd>

    <dt>A few new things</dt>
    <dd>
      <ul>
        <li>Enforced enrolment uniqueness, this is also a performance fix.</li>
        <li>Added transaction support for PostgreSQL </li>
        <li>Logging in and logging out are now logged</li>
        <li>Wiki and SCORM now both use new zipping code - this fixes reported SCORM issues</li>
        <li>New paging system for glossary</li>
        <li>User info from LDAP truncated for insertion into moodle to prevent data loss</li>
        <li>Updated pclzip to new version</li>
        <li>Memory_limit can be overriden by higher config settings from php.ini, commandline,  httpd.conf, .htaccess</li>
        <li>New translations started: Maori, Kannada, Albanian and Vietnamese</li>
        <li>Many additions to other language packs</li>
        <li>Teachers can now always try quizzes, even if they're not open yet</li>
        <li>Glossary print view is now different for each format.</li>
        <li>Glossary search now also searches aliases</li>
        <li>Vastly improved multilang filter with more forgiving syntax </li>
      </ul>
    </dd>
    
   <dt>Performance improvements</dt>
    <dd>
      <ul>
        <li>Better caching headers mean improved performance on all pages when using back button</li>
        <li>Database indexes added in many places to enhance performance in large scale deployments</li>
        <li>Performance improvements  throughout moodle where courses were being listed.</li>
        <li>Various optimizations by removing unnecessary database retrievals and sorting.</li>
      </ul>
    </dd>

    <dt>Other bug fixes</dt>
    <dd>
      <ul>
        <li>Fixed restoring into a new course generating duplicate course idnumbers</li>
        <li>Fixed many small Postgres issues </li>
        <li>Fixed unnecessary notices when debug mode on</li>
        <li>Fixed some more PHP5 Notices</li>
        <li>Fixed support for apostrophes, quotes and backslashes in LDAP user data</li>
        <li>Fix for pagination of search course results for Postgres </li>
        <li>Fixed bug with whitespace in user search</li>
        <li>Fixed chatroom bug where all chat users listed in multiple chatrooms </li>
        <li>Fix for installation script bug</li>
        <li>Case sensitive usernames in bulk user import fixed</li>
        <li>Fixed bug in redirection after rating forum post</li>
        <li>Fixed bug in quiz with matching questions</li>
        <li>Fixed bug in quiz preview</li>
        <li>Fixed bug in language editing</li>
        <li>Multiple small fixes in SCORM module</li>
        <li>SCORM module shows user pictures properly</li>
        <li>Activity names sorted by name in activity filter</li>
        <li>Glossary search will search aliases as well</li>
        <li>Any RSS errors will result in a valid RSS error file rather than invalid RSS.</li>
        <li>Fixed problem with SCORM package validation and PHP5</li>
        <li>Fixed problem with backup/restore and empty categories</li>
        <li>Better XHTML in wiki</li>
        <li>Bug fix in chat reports for first chat session</li>
        <li>Fixed a problem with SCORM when deleting a lot of files, or very large files</li>
        <li>Fixed some problems with encyclopedia format in glossary</li>
        <li>Fixed bug in SCORM integration with zipping code</li>
        <li>Fixed bug in dialogue plain text email notifications</li>
        <li>Fixed missing sesskey variables in social activity block </li>
        <li>Excess sections for a course are now hidden in the navmenu</li>
        <li>Added daylight savings time fixes for the calendar</li>
        <li>First quiz edit in a new course has a default category assigned</li>
        <li>Fixed bug in paypal module when accepting payment amount</li>
        <li>Fixed bug in course files with loss of choose mode    </li>
      </ul>
    </dd>

 

  </dl>


<p>&nbsp;</p>



<h3> Moodle 1.4.2   (5th November, 2004)</h3>

  <dl>
    <dt>Some important security fixes</dt>
    <dd> 
      <ul>
        <li>Better checking/cleaning of script parameters used in quite a few areas 
            throughout Moodle (a BIG thanks to Petr Skoda for his recent security audit!)</li>
        <li>Quoted some SQL parameters in the glossary module to prevent possible injection</li>
      </ul>
    </dd>

    <dt>A few small new things</dt>
    <dd> 
      <ul>
        <li>New PAM authentication module for direct authentication on Unix/Linux</li>
        <li>Course creators can now restore to new or existing courses</li>
        <li>Forum posts now include detailed headers to allow correct threading in mail clients</li>
      </ul>
    </dd>

    <dt>And a bunch of other bug fixes</dt>
    <dd> 
      <ul>
        <li>Backup is now more able to cope with errors (eg if backup is interrupted) 
            and can clean up uncompleted files</li>
        <li>Fix for database authentication against a PostgreSQL database</li>
        <li>Fixes for some parts of installation to PostgreSQL</li>
        <li>Forum subject lines are now only broken up in recent activity display</li>
        <li>Database-based enrolments now actually work  :-)</li>
        <li>SQL fixes for creation of RSS feeds from PostgreSQL</li>
        <li>Added rtsp to the list of allowed protocols in cleaned HTML text</li>
        <li>User profile and profile editing page can be called without parameters</li>
        <li>Upgraded xmlize library to latest version</li>
        <li>Upgraded phpmailer library to latest version</li>
        <li>Various small code-only cleanups</li>
        <li>Admin menu now allows backup/restore of the "site course" (front page)</li>
        <li>Fixed a display bug in the forums index which only showed in PHP5</li>
        <li>Highlighting function (eg after search) was stripping backslashes</li>
        <li>Info from LDAP is now decoded from utf8</li>
        <li>Course listings now work better with very large amounts of courses</li>
        <li>Two SCORM bugs fixed (a typo and a problem with onbeforeunload)</li>
        <li>Some cleanups when printing text, headers and variables in Lesson</li>
        <li>Calendar now functions as expected even when you login as someone else</li>
        <li>Fixed a few remaining short PHP tags</li>
        <li>Better randomness for random questions (fix for bug introduced in 1.4)</li>
        <li>When a teacher is removed from a course, they are now also removed from all groups in that course</li>
        <li>Fixed strip_pages bug in Wiki</li>
        <li>Fixes for charset detection in backups and multilang filter under PHP5</li>
      </ul>
    </dd>

  </dl>
<br />

<h3> Moodle 1.4.1   (12th September, 2004)</h3>

<dl>
    <dt>A few little new things</dt>
    <dd> 
      <ul>
        <li>New "Email Protection" filter will obfuscate all email addresses within all texts 
            (to help prevent automated address-harvesting)</li>
        <li>Allowed email addresses can now be restricted (see config-dist.php for details)</li>
        <li>Extra instructions for translators embedded in translation interface</li>
        <li>New help page for Directory Paths</li>
      </ul>
    </dd>
    <dt>And some bug fixes</dt>
    <dd> 
      <ul>
        <li>Improved performance when viewing site logs</li>
        <li>Improved paging and performance in glossary</li>
        <li>Glossary entries are now shown correctly if they belong to multiple categories</li>
        <li>Do not redeclare auth_user_login upon failed login</li>
        <li>Fixed two missing icons in the cordoroyblue theme</li>
        <li>Fixed missing "New event" button on Upcoming Events page</li>
        <li>Always addslashes on chat messages from daemon users before inserting into db.</li>
        <li>Fixes for handling of fixed enrollment periods when this is set for a course</li>
        <li>Site course ID (defined as SITEID) is no longer assumed to be always 1</li>
        <li>Default memory limits are increased beyond 16M, to help Moodle continue 
            working even when there is some unplanned memory problem</li>
        <li>Smilies are now rendered as pictures in Markdown format texts</li>
        <li>Workshops work under Recent Activity again</li>
        <li>file.php can now only be used to access data within courses</li>
        <li>Improved behaviour of calendar blocks on home page</li>
        <li>Fixed quotes bug with PostgreSQL database specification produced by installer</li>
        <li>Fixed sometimes-missing display of correct answers during quiz review</li>
        <li>&lt;tt> and &lt;code> are now allowed tags</li>
        <li>Section summaries, course summaries and labels are again no longer cleaned of Javascript</li>
        <li>Fixed a rare LDAP bug that could cause new accounts not to be created </li>
      </ul>
    </dd>
  </dl>
<br />
<h3> Moodle 1.4   (31st August, 2004)</h3>

<dl>
    <dt>Headlines</dt>
    <dd> 
      <ul>
        <li>Compatibility with PHP 5</li>
        <li>New easy installer wizard leads you through the creation of the initial config.php file</li>
        <li>Installation is now completely localised to your preferred language</li>
        <li>Completely revamped Resource module make it easier to add new resources and to send data to them.</li>
        <li>New Enrolment system featuring modules such as completely automated Paypal payments, 
            flatfile scanning, or external database control.</li>
        <li>Blocks now work on the front page, plus you can put a topic section above the middle part</li>
        <li>Chat now includes a server-side daemon (in PHP) for scalable, instant chat</li>
        <li>New Wiki module!</li>
        <li>New support for editing text using the Markdown format</li>
        <li>Many bug fixes in all areas</li>
      </ul>
    </dd>

    <dt>Under the hood</dt>
    <dd> 
      <ul>
        <li>Resource module has its own Add menu now, and uses class-based submodules, making it much 
            easier now to add new resource types to this menu</li>
        <li>Quiz module has been refactored into class-based questiontype plugins.</li>
        <li>Enrolment process has been refactored into class-based enrolment plugins.</li>
        <li>Glossary display formats are now name-based, and it's easier to plugin new ones.</li>
        <li>Improved behaviour of many modules when they are used on the site page.</li>
        <li>Revised Filter structure is faster and now compatible with Turck MMcache.</li>
        <li>Adding activities is now more forgiving of fields left empty</li>
        <li>We can now alter PostgreSQL columns at will using table_column()</li>
        <li>RSS generation has been sped up tremendously, putting much less load on cron</li>
        <li>Some bigger modules have split lib.php into locallib.php for less memory usage</li>
      </ul>
    </dd>

    <dt>Languages and localisation</dt>
    <dd> 
      <ul>
        <li>Updates to nearly every language pack</li>
        <li>Moodle can override the default character set in Apache, making languages more reliable</li>
        <li>Multibyte languages now wrap properly</li>
        <li>Better handling of locales and encodings on very multilingual sites (like moodle.org)</li>
        <li>New languages: Slovenian and Hebrew! </li>
      </ul>
    </dd>

    <dt>Security Fixes</dt>
    <dd> 
      <ul>
        <li>Fixed a number of possible XSS entry points and path disclosures</li>
        <li>Attributes of tags in HTML are now parsed even more thoroughly for naughty scripts</li>
        <li>User profile pages are no longer available by default to strangers</li>
        <li>All text is now cleaned on output (not just input)</li>
        <li>Email addresses are not used on outgoing mail if the user requests that</li>
        <li>New setting <strong>loginhttps</strong> will use secure https for the login, then switch back to http</li>
      </ul>
    </dd>

    <dt>Administration</dt>
    <dd> 
      <ul>
        <li>Spiffy new interfaces for adding/removing students, creators and admins</li>
        <li>Failed logins are now logged, and can be displayed to users upon a successful login</li>
        <li>Logs now support viewing by group, and by errors</li>
        <li>Modules now behave more consistently on the site front page</li>
        <li>Front page &quot;students&quot; can be all users on site, or all users in at least one course on the site </li>
        <li>Email-sending can now be enabled/disabled on any user's profile page</li>
      </ul>
    </dd>

    <dt>Authentication</dt>
    <dd> 
      <ul>
        <li>All authentication methods will now co-exist with internally-created accounts</li>
        <li>New support for authenticating against First Class servers</li>
        <li>Fixes for POP3 authentication</li>
      </ul>
    </dd>

    <dt>Navigation</dt>
    <dd> 
      <ul>
        <li>Visitors can be automatically logged in as guest</li>
        <li>Jump menu now always shows "Jump to" to help distribute clues about what it does</li>
        <li>Jump menu now has a much clearer way of grouping activities into sections</li>
      </ul>
    </dd>

    <dt>Blocks</dt>
    <dd> 
      <ul>
        <li>Block system can now cope with custom course formats and changes in format</li>
        <li>New login block allows login from site front page</li>
        <li>Online users block on home page shows users from the whole site</li>
      </ul>
    </dd>

    <dt>Editor</dt>
    <dd> 
      <ul>
        <li>New editor configuration screen for the admin</li>
        <li>New support for anchors within pages</li>
        <li>Spell-checking is now supported in the editor, it uses aspell on your server operating system</li>
      </ul>
    </dd>

    <dt>Chat</dt>
    <dd> 
      <ul>
        <li>Chat now includes a server-side daemon (in PHP) for scalable, instant chat</li>
      </ul>
    </dd>

    <dt>Choice</dt>
    <dd> 
      <ul>
        <li>Significantly revamped to make a lot more sense, with more option</li>
      </ul>
    </dd>

    <dt>Forum</dt>
    <dd> 
      <ul>
        <li>Several fixes when dealing with groups</li>
        <li>Users can choose to receive forum posts as daily digests of subject lines or whole posts.</li>
        <li>Discussion listing is now paged</li>
        <li>Teachers now have complete control over forum subscriptions, and can subscribe anyone at will</li>
        <li>"Last post" date is shortened and linked to the last post</li>
        <li>Forums now list RSS feeds on the index page</li>
        <li>Better-looking HTML mail using the full stylesheet</li>
        <li>Forum mail older than two days is never sent out (to prevent unwanted floods)</li>
        <li>Blocked mail is logged so that teachers can see it</li>
        <li>Discussion branches can be "split" from the main discussion, into a new discussion</li>
      </ul>
    </dd>

    <dt>Glossary</dt>
    <dd> 
      <ul>
        <li>Glossary entries can be defined as "always editable"</li>
        <li>Glossaries now list RSS feeds on the index page</li>
        <li>Many fixes throughout</li>
      </ul>
    </dd>

    <dt>Quiz</dt>
    <dd> 
      <ul>
        <li>New floating timer for timed quizzes</li>
        <li>Attempts may now be restricted to specific computers</li>
        <li>Quizzes can now require a special password</li>
        <li>New question type for Calculated Questions</li>
        <li>Numerical questions now support units<li>Questions can be previewed in the editing pages</li>
        <li>Questions can now be exported in several formats</li>
        <li>More intelligent handling of category listing when editing questions</li>
        <li>New (and incomplete) XML export format, will eventually be quiz-feature-complete</li>
        <li>Shortanswers can now contain all sorts of strange characters</li>
      </ul>
    </dd>

    <dt>Resource</dt>
    <dd> 
      <ul>
        <li>Adding resources is now a one-step process with more control</li>
        <li>Web page, Web link, Uploaded file and Program resource all combined into one type!</li>
        <li>Program resources replaced by Parameters that allow a lot of of interesting interaction with external resources, both remote and uploaded into Moodle. </li>
        <li>Collapsible forms with memory to make forms less daunting for beginners without slowing down experienced users </li>
      </ul>
    </dd>

    <dt>SCORM</dt>
    <dd> 
      <ul>
        <li>Many fixes and improvements - works with an even wider variety of packages</li>
        <li>Optional extra verification of the manifest file </li>
      </ul>
    </dd>
</dl>
<br />


<h3> New in Moodle 1.3.4  (11th August, 2004)</h3>
<dl>
  <dt>Updates</dt>
    <dd> 
      <ul>
        <li>Some compatibility was added for handling glossaries and resources from Moodle 1.4.</li>
        <li>Forbid restricted users from changing enrolments</li>
      </ul>
    </dd>
    <dt>Bug fixes</dt>
    <dd> 
      <ul>
        <li>Fixed a reported vulnerability involving arguments to forum/post.php file</li>
        <li>Fixed a possible vulnerability involving strings in Moodle texts</li>
        <li>Fixed a rare glitch with attempt numbers in quizzes</li>
        <li>Fixed a bug with regular expression logic in short answers</li>
        <li>Fixed a typo in the PostgreSQL install</li>
        <li>Fixed some documentation links</li>
      </ul>
    </dd>
</dl>

<br />

<h3> New in Moodle 1.3.3  (16th July, 2004)</h3>
<dl>
    <dt>Updates</dt>
    <dd>
      <ul>
        <li>The ADOdb library was upgraded to a version compatible with PHP 5.0</li>
        <li>Improvements to the detection and conversion of URLs in backups</li>
      </ul>
    </dd>
    <dt>Bug fixes</dt>
    <dd> 
      <ul>
        <li>A possible vulnerability involving arguments to the help.php file was fixed.</li>
        <li>A possible vulnerability involving language setting was fixed.</li>
        <li>Fixes for the editing of lang strings with double quotes in them</li>
        <li>Several small problems fixed in Glossary</li>
        <li>Some minor issues fixed in the Scorm module</li>
      </ul>
    </dd>
</dl>

<br />


<h3> New in Moodle 1.3.2  (9th July, 2004)</h3>
 <dl>
   <dt>Updates</dt>
    <dd> 
      <ul>
        <li>The SCORM module is now included as standard </li>
        <li>Some new languages (Malaysian, Estonian) </li>
        <li>Many more existing languages are now completed up to 1.3.x</li>
      </ul>
    </dd>
    <dt>Bug fixes</dt>
    <dd> 
      <ul>
        <li>A possible front page vulnerability with Moodle servers on some old PHP versions was fixed. If you are using a version of PHP previous to 4.3 then it might be a good idea to upgrade to this version of Moodle. </li>
        <li>Important fixes to logic when forums are used for group activities</li>
        <li>Editing teacher profiles are visible even to separated groups in a class </li>
        <li>Subject lines in multibyte languages in recent activity are no longer broken by wrapping function </li>
        <li>A few issues related to glossary export/import were fixed</li>
        <li>Backup is now better at managing it's temporary files </li>
        <li>Other small fixes here and there </li>
      </ul>
    </dd>
</dl>
<br />


<h3> New in Moodle 1.3.1  (4th June, 2004)</h3>
 <dl>
   <dt>Bug fixes</dt>
    <dd> 
      <ul>
        <li>Some HTML code affecting stability of HTML editor under IE6 on some pages was fixed</li>
        <li>Some bugs were fixed in several auto-linking text filters</li>
        <li>Improved-looking navigation bar (using the &raquo; character)</li>
        <li>Flash files now have their own icon</li>
        <li>Adding course links using HTML editor now fixed for teachers</li>
        <li>Section links block now preserves focussed view</li>
        <li>Sites files now respect forcelogin setting</li>
        <li>Upgrading blocks without database functions now works</li>
        <li>Language updates</li>
      </ul>
    </dd>
</dl>
<br />

<h3> New in Moodle 1.3  (25th May, 2004)</h3>
<dl>
    <dt>Major new features</dt>
    <dd> 
      <ul>
        <li>New <strong>Calendar</strong> feature (thanks to Jon Papaioannou and the <a target="_blank" href="http://www.sch.gr/">Greek School Network</a>!)</li>
        <li>New <strong>Blocks </strong>feature, allowing blocks to be added and moved around on course pages (thanks to Jon Papaioannou, Eloy Lafuente and others!)</li>
        <li>New <strong>RSS System</strong> allows Forums and Glossaries (and later other modules) to publish RSS feeds (Thanks, Eloy!)</li>
        <li><strong>Mediaplugin</strong> filter now supports auto-embedding of Quicktime, Flash, and Windows Media files.</li>
        <li>A new <strong>Activity Names</strong> filter will automatically add hyperlinks to other activities in the same course whenever their name is mentioned.</li>
      </ul>
    </dd>
    <dt>Other new features</dt>
    <dd> 
      <ul>
        <li>New resource type &quot;Directory&quot; will display a whole directory of uploaded files (including subdirectories)</li>
        <li>Resources that are files (uploaded, or webpages) now show the relevant icon on the course page</li>
        <li>Most internal HTML links within forums and resources are now preserved during backup/restores</li>
        <li>It is now possible to pass normal http arguments to files in the Files section. This allows some fancier HTML and Flash in resources.</li>
        <li>$CFG-&gt;forceloginforprofiles can be set to prevent guests from seeing site-level user profiles (including Google).</li>
        <li>When Google access is enabled, then Google web page translations now work too.</li>
        <li>Sessions are now stored privately in the Moodle data directory - this makes Moodle work better on clusters, and solves some session timeout problems when using Moodle on shared web hosts</li>
        <li>User pictures can now be easily deleted from the profile editing page</li>
        <li>Talking in Chat now appears in the main logs.</li>
        <li>Hidden sections in courses can now be completely hidden from students (course setting)</li>
        <li>Improvements to text inside graphs for some non-English languages,  using Unicode fonts.</li>
        <li>Improved interface for managing Scales, as well as better handling in mulitlingual sites</li>
        <li>All students can now be unenrolled with one button (on the Students page)</li>
        <li>Subscribers to forums can now be manually subscribed or unsubscribed in groups</li>
        <li>Better handling of some European characters in filenames and usernames</li>
        <li>Feedback notices for a hidden assignment aren't mailed out until it's unhidden</li>
        <li>Expanded support for importing Blackboard quizzes</li>
        <li>The cron script can now be run using a PHP binary from any directory</li>
        <li>The HTML editor has been further improved and streamlined.</li>
        <li>The default recent activity display is now calculated from the last access to that course (or two days, whichever is more recent). Previously it was from the last login to the site.</li>
        <li>Confirmation emails are now in HTML and Text, to help prevent breaking of confirmation link.</li>
        <li><b>New languages</b>: Farsi, Latvian, Norwegian Primary School, Unicode version of Traditional Chinese.</li>
      </ul>
    </dd>
    <dt>Bug fixes</dt>
    <dd> 
      <ul>
        <li>Hundreds of small bugs were fixed in all areas, generally improving appearance and robustness.</li>
        <li>As always, if you find bugs in Moodle, please <a href="http://moodle.org/bugs/">report them to our Bug Tracker</a>!</li>
      </ul>
      <p>&nbsp;</p>
    </dd>
    <dt><font size="+1">Finally, don't forget to look at some of the <a href="http://moodle.org/download/modules/" target="_blank">many optional modules under development</a>, including the SCORM module, the Wiki module, the Hot Potatoes module and many other innovations.</font></dt>
</dl>
<br />
<br />
<h3> New in Moodle 1.2.1 (25th March, 2004)</h3>
<dl>
    <dt>Various small bug fixes</dt>
    <dd> 
      <ul>
        <li>Fixed some bugs that were causing survey graphs and results not to display in some circumstances</li>
        <li>Improved security in the cron script</li>
        <li>Fixed WebCT quiz import to deal with missing images, shortanswers and escaped characters</li>
        <li>Fixed formatting on editor dialog to insert links</li>
        <li>Prevent glossary from adding links to activity names that are already links</li>
        <li>Fixed some timezone calculations when user isn't present</li>
        <li>Characters like :( in Javascript code within filtered HTML are no longer converted to a sad smiley</li>
        <li>Improved handling of ratings for single forums when secureforms is on.</li>
        <li>Multichoice question creation now defaults to a single correct answer format</li>
        <li>Guests can no longer see email addresses if "show only to course participants" has been set by that user</li>
        <li>Primary admin is now the lowest-numbered entry in role_assignement with moodle/legacy:admin capability, rather than the admin with the lowest userid.</li>
        <li>Modified flash MP3 plugin to improve brightness of Play button on darker screens</li>
        <li>Various polishing and improvements in many language packs</li>
      </ul>
    </dd>
</dl>
<br />


<h3> New in Moodle 1.2 (20th March, 2004)</h3>
<dl
    <dt>Major new features</dt>
    <dd> 
      <ul>
        <li>New support for <strong>groups</strong> and cohorts within courses (with many options)</li>
        <li><strong>Text filters</strong> allow arbitrary processing on all text in Moodle, including <strong>automatic linking</strong>, <strong>mathematics support</strong>, <strong>multi-language content</strong> and infinitely more possibilities</li>
        <li>A fantastic new <strong>Glossary module</strong> (thanks to Williams Castillo!) with many different ways to contruct learning activities based around collecting definitions</li>
        <li>A great new  <strong>Lesson module</strong> (thanks to Ray Kingdon!) easily creates active content with pathways and multiple-choice questions</li>
        <li>A new <strong>Label module</strong> allows arbitrary HTML in the course page</li>
        <li>An improved <strong>WYSIWYG editor</strong>,  faster and more cross-platform than the old one</li>
        <li><strong>Automatic backups</strong> can be scheduled by the administrator for all courses at once</li>
      </ul>
    </dd>
    <dt>Courses</dt>
    <dd> 
      <ul>
        <li>Activities can now be indented on the course outline, allowing more structure</li>
        <li>A new report for Recent Activity makes it easier to see what's happened recently</li>
        <li>A new logs button on every activity links to the logs page to show logs per-activity</li>
        <li>Restore button now always functional</li>
        <li>Improved &quot;index&quot; view for all modules</li>
        <li>Improvements to participants display, including paging and initial searching</li>
        <li>Excel downloads are more compatible with different operating systems</li>
        <li>Better error reporting when adding/updating activities</li>
        <li>Search box no longer auto-focuses (it was causing annoying auto-scrolling on long courses)</li>
        <li>Self-unenrollment link on the course page for students</li>
        <li>Change password link on the course page for students</li>
        <li>Students can now be allowed to see their own activity reports (course setting)</li>
        <li>Teachers can browse the course files for images when using the new editor</li>
        <li>New image of empty box as destination when moving activities</li>
        <li>Accesses are now recorded by course, so the participant listings make more sense</li>
        <li>The activity navbar now has buttons for previous and next activities</li>
        <li>File dates were incorrect on some systems - this is now fixed.</li>
        <li>Old chat users are no longer shown in the recent activity</li>
      </ul>
    </dd>
    <dt>Site administration</dt>
    <dd> 
      <ul>
        <li>An important security fix preventing teachers from logging in as admins who are students in their course</li>
        <li>New setting &quot;forcelogin&quot;  can force people to log in before they can see any of the site</li>
        <li>New setting &quot;opentogoogle&quot;  allows Google and people referred by Google to get in as guest</li>
        <li>New setting &quot;timezone&quot; allows a default timezone to be set for the whole site</li>
        <li>New setting &quot;deleteunconfirmed&quot; specifies the time we'll wait for email accounts to be confirmed</li>
        <li>New setting &quot;allowunenroll&quot; enables/disables students from unenrolling themselves from courses</li>
        <li>New setting &quot;fullnamedisplay&quot; allows override for the formatting of user full names so students can only see &quot;firstname lastname&quot;, &quot;lastname firstname&quot; or &quot;firstname&quot;</li>
        <li>Individual users can have their email disabled by the teacher or admin (useful for dealing with broken mail accounts that are bouncing)</li>
        <li>Upload sizes can now be controlled throughout Moodle using &quot;maxbytes&quot;. There is a site limit (bounded by the current PHP limits), which itself is the upper bound for course limits, which is the upper bound for activity limits.</li>
        <li>Moodle cookies can be customised (helps when running multiple Moodles on one site)</li>
        <li>Included script for analysing database performance (admin/dbperformance.php)</li>
        <li>Included standalone script to check a server for Moodle compatibility (lib/compatible.php)</li>
        <li> If a file called cronextra.php exists in the dataroot then cron will run that too.  This allows sites to have &quot;special&quot; maintenance features.</li>
        <li>Course formats are now more like plugins, in separate directories</li>
        <li>Users can now be uploaded from text files</li>
        <li>If $CFG-&gt;disableuserimages is defined (in config.php) then user images can not be changed</li>
        <li>If $CFG-&gt;admineditalways is defined then the administrator can edit ANY post at any time.</li>
        <li>If $CFG-&gt;filterall is defined then even little things liks forum subjects and activity names are filtered</li>
        <li>Support for restricted demo users (eg the teacher demo on Moodle.org) - usernames can be added to a list of  names in config.php. eg $CFG-&gt;restrictusers = 'teacher,fred';</li>
      </ul>
    </dd>
    <dt>Themes</dt>
    <dd> 
      <ul>
        <li>Fixes for Internet Explorer can be more robust at using the style sheet</li>
        <li>Miscellaneous fixes and improvements to themes - <strong>custom themes need upgrading!</strong></li>
      </ul>
    </dd>
    <dt>Translations</dt>
    <dd> 
      <ul>
        <li>New languages: Galego and Lithuanian</li>
        <li>Improved language editing interface - it allows the current language to be chosen and allows each file to be edited separately.</li>
        <li>The list of country names can now be translated, as can the editor buttons, smiley names and file sizes (Mb, Gb etc)</li>
        <li>Language packs can now define the default language direction (RTL or LTR)</li>
        <li>Language packs can now define the order that people's names should be shown in</li>
        <li>Language files are now written using slightly more efficient PHP code</li>
        <li>Finally got rid of the final bogus linefeeds in the multi-line strings</li>
        <li>Courses can now &quot;force&quot; a language on all users</li>
      </ul>
    </dd>
    <dt>Backup / Restore</dt>
    <dd> 
      <ul>
        <li>Automatic backups can be scheduled by the administrator for all courses at once</li>
        <li>Logs are now fully restored</li>
        <li>All needed users are now included in course backups (even if no longer enrolled)</li>
        <li>Miscellaneous fixes and improvements</li>
      </ul>
    </dd>
    <dt>Text Filters and Formatting</dt>
    <dd> 
      <ul>
        <li>Warning: the new text filters can increase the load on your server, particularly when used with complex filters. Use them with caution. </li>
        <li>The new <strong>glossary filter</strong> can create links to glossary entries from matching words throughout Moodle.</li>
        <li>The new <strong>TeX filter</strong> can convert TeX code found anywhere in Moodle into true Mathematics notation (GIF format image). There is also an <strong>algebra</strong> filter with a simpler input format (more like calculators).</li>
        <li>The new <strong>censor filter</strong> can be enabled to filter out bad words.</li>
        <li>The new <strong>multilang filter</strong> allows texts to be entered in multiple languages, and only the best one will be shown to each user (depending on their language setting)</li>
        <li>The &lt;nolink&gt; tag can be used to prevent autolinking within a passage of text.</li>
        <li>More tags are now allowed, including &lt;acronym&gt; and all &lt;math&gt; tags.</li>
        <li>Some areas where text wasn't properly filtered before (security risk) have now been fixed.</li>
      </ul>
    </dd>
    <dt>Developer API</dt>
    <dd> 
      <ul>
        <li>A new coding guide is available</li>
        <li>A new Philosophy guide is available ;-)</li>
        <li>Improvements to the template for new modules</li>
        <li>Modules should now specify the minimum version of Moodle they are compatible with</li>
        <li>Scripts can specify to print_header() whether the page is pure XML</li>
        <li>Any module can save and retrieve user preferences that stay around between logins</li>
      </ul>
    </dd>
    <dt>Chats</dt>
    <dd> 
      <ul>
        <li>Chat sessions can now be deleted</li>
        <li>Scheduled chat times now show the timezone to make it clearer</li>
      </ul>
    </dd>
    <dt>Forums</dt>
    <dd> 
      <ul>
        <li>Forum viewing preferences are remembered between logins</li>
        <li>&quot;Show parent&quot; link on all posts for faster navigation around forums</li>
        <li>Anchor tags allow individual posts to be referenced in all views</li>
        <li>Improvements to cron job when manually run, as well as logging of mailer errors</li>
        <li>Only print the ratings button when there are ratings to be made</li>
        <li>Vastly improved email text versions of HTML forum posts</li>
        <li>When replying, an outline of other replies is shown.</li>
        <li>When using the HTML editor to post, other formatting options are no longer provided.</li>
      </ul>
    </dd>
    <dt>Journals</dt>
    <dd> 
      <ul>
        <li>Journal questions can now use the HTML editor</li>
        <li>Some fixes to the report page when assessing journal entries</li>
      </ul>
    </dd>
    <dt>Quizzes</dt>
    <dd> 
      <ul>
        <li>Questions and categories can now be edited without needing to open a quiz</li>
        <li>All questions can now use any of the Moodle editing formats</li>
        <li>New import format: <strong>GIFT</strong> format (this is the new default format)</li>
        <li>New import format: <strong>Course Test Manager</strong></li>
        <li>New import format: <strong>WebCT</strong> format</li>
        <li>New import format: <strong>Aiken</strong> format</li>
        <li>Short-Answer questions can now use wildcards for matching eg wild*rds</li>
        <li>Images now work in questions from external published categories</li>
        <li>Improved the overview reports to show more info and allow deletion of attempts</li>
        <li>Added a new detailed quiz report for statistical anaylsis</li>
        <li>All question types can now have up to 10 answers each</li>
        <li>Menus in quiz editing no longer need submit buttons (just select from menu)</li>
        <li>Fixed bug that occurred when re-grading SOME quizzes with random questions in them</li>
        <li>Fixed bug that occurred in backups of quizzes with random questions in them</li>
        <li>Many other small bugs fixed</li>
      </ul>
    </dd>
    <dt>Resources</dt>
    <dd> 
      <ul>
        <li>Teachers can browse files more directly when creating uploaded file</li>
        <li>New settings to allow a default URL, a default search page and default popup settings</li>
        <li>Uploaded files can appear in popups too.</li>
        <li>Much better display of popups when using the navbar to go there</li>
        <li>MP3 files are now streamed using a built-in Flash MP3 player</li>
        <li>Video files (Media player, Quicktime) are embedded using local plugins</li>
      </ul>
    </dd>
    <dt>Workshops</dt>
    <dd> 
      <ul>
        <li>Changes to handling of peer assessments</li>
        <li>New assessment phase</li>
        <li>New options for the league table</li>
      </ul>
    </dd>
    <dt>Miscellaneous</dt>
    <dd> 
      <ul>
        <li>Moodle now ignores any folders that Frontpage may have added to it (_vti_cnf).</li>
        <li>Improved HTML -&gt; XHTML in many places</li>
        <li>Many fixes for non-MySQL databases</li>
        <li>A few hard-coded text strings around the place were made translatable</li>
        <li>User profile data is now properly cleaned</li>
        <li>FIxes for when Moodle is embedded within a frame (eg in Postnuke)</li>
        <li>Bug fixes to Wiki mode</li>
        <li>Admin can no longer edit external accounts</li>
        <li>Qmail users can use &quot;qmail&quot; in the smtphosts field for better results</li>
        <li>Multiple methods of redirecting, to work around some browser bugs</li>
        <li>Small improvements to the display of grades in the gradebook</li>
        <li>More student profile fields can be edited, such as department and institution, and these are also written to grade dumps in text or Excel.</li>
        <li>When a student is added as a teacher, they are now automatically unenrolled from being a student</li>
        <li>Upgraded ADOdb (database layer)</li>
      </ul>
    </dd>
</dl>
<hr />
<h3> New in Moodle 1.1.1 (10 September, 2003):</h3>
<dl>
   <dt>General Fixes</dt>
    <dd> 
      <ul>
        <li>Translation improvements in many languages</li>
        <li>Frame fix when switching languages in documentation</li>
        <li>All short PHP tags removed ... short_tags is no longer a requirement</li>
        <li>Forum search results link using anchor tag for better context</li>
        <li>Removed target from &quot;delete&quot; link on user editing page</li>
        <li>'Search' on social format moved closer to the top to prevent browser 
          self-scrolling </li>
        <li>Page redirection is faster and no longer causes intermediate page 
          to be stored in IE history</li>
        <li>Course listings improved when courses are displayed, including more 
          information</li>
        <li>Category listings show courses in full when there are under ten courses</li>
        <li>Invisible courses are always shown last in My Courses</li>
        <li>Course creators can now see all hidden categories and courses</li>
        <li>Styles added for category and course names</li>
        <li>Removed tags from question text on quiz 'simplestat' report</li>
        <li>Added percentages to downloaded data from 'simplestat' report</li>
        <li>Allow external deep linking using guest account ?username=guest</li>
        <li>Any admin can now add/remove course creators</li>
        <li>Primary admin can now update own username/password even with external authentication</li>
        <li>Quizzes can now be specified as having "no grade" and no grades will be shown</li>
        <li>When editing a language, missing strings files are created if possible</li>
        <li>Fixed bug in weekly journal date calculations</li>
        <li>Fixed bug in config.php that made error_reporting not work</li>
        <li>Fixed bug when editing user name with quotes in it</li>
        <li>Fixed bug in email obfuscation for email addresses with numbers in 
          them </li>
        <li>Fixed missing PostgreSQL schema for chat module</li>
        <li>Fixed several typos in PostgreSQL upgrading code</li>
        <li>Fixed some uninitialised variables</li>
        <li>Several bugs fixed in Workshop module</li>
      </ul>
    </dd>
</dl>
<hr />



<h3> New in Moodle 1.1 (28 August, 2003):</h3>
<dl>
   <dt>Major Changes</dt>
    <dd> 
      <ul>
        <li>A completely new <strong>backup</strong> system for backup and restore 
          of courses (Thanks, Eloy!)</li>
        <li>A new <strong>workshop</strong> module for peer grading (Thanks, Ray!)</li>
        <li>A new <strong>chat</strong> module for synchronous discussions</li>
        <li>All-new <strong>course manager</strong> to handle very large numbers 
          of courses (tested with 3700)</li>
        <li>Custom-defined <strong>grading scales</strong> that can be used throughout 
          a course</li>
        <li>Performance improvements in many areas</li>
      </ul>
    </dd>
    <dt>General</dt>
    <dd> 
      <ul>
        <li>Clean up of the whole admin menu organisation to make it clearer</li>
        <li>Categories can be nested and sorted alphabetically or manually</li>
        <li>Courses and whole categories can be hidden from students</li>
        <li>Course descriptions and names can be searched for keywords</li>
        <li>Large categories are now completely paged</li>
        <li>Improved web caching for stylesheets and images</li>
        <li>&quot;My courses&quot; display on the home page when logged in.</li>
        <li>Inclusion of non-linked page to display ALL user pictures at once 
          (see /userpix)</li>
        <li>The &quot;secureforms&quot; feature now defaults to OFF.</li>
        <li>Moodle now doesn't care if &quot;magic quotes&quot; is on or off.</li>
        <li>Images in /pix were rearranged and tidied up</li>
        <li>HTML email is better formatted for wider compatibility</li>
        <li>Mail bounces are now sent to the admin user</li>
        <li>Better cron tasks (less CPU used) and duplicate enrolments are now 
          cleaned</li>
        <li>Improved display of logs with infinite paging and increased flexibility</li>
        <li>User log graphs now work at site-level (showing ALL logs on the site)</li>
        <li>People with manual accounts can now recover their password</li>
        <li>Improved system for defining/printing help files for major activity 
          modules</li>
        <li>Activity modules can now have settings</li>
        <li>Email addresses are all completely obfuscated (to fool web spiders)</li>
        <li>There is now an index to the help files</li>
        <li>Library (Mark Kimes' add-on) is now supported if it is installed (see Moodle contrib for Library source)</li>
      </ul>
    </dd>
    <dt>Courses</dt>
    <dd> 
      <ul>
        <li>Teachers can now have their course editing privileges removed</li>
        <li>Teachers can now manually enrol students if they want to</li>
        <li>Teacher management is now all combined in one interface</li>
        <li>Activities can be moved any distance with two clicks</li>
        <li>Topics/weeks can now be moved up and down</li>
        <li>Pop-up menu to quickly switch between topics/weeks when collapsed</li>
        <li>When self-enrolling, students are notified and given a chance to cancel</li>
        <li>Teachers and students see list of &quot;My Courses&quot; on course 
          home pages.</li>
        <li>Grades can be hidden from students if not needed</li>
      </ul>
    </dd>
    <dt>Languages</dt>
    <dd> 
      <ul>
        <li><strong>Hungarian</strong> and <strong>Greek</strong> have been added, 
          and there are lots of other updates. As usual, the language packs within 
          this release may not be fully completed yet. You can always download 
          the newest language packs from <a href="http://moodle.org/download/lang/">http://moodle.org/download/lang/</a>.</li>
        <li>Updates and fixes to most languages</li>
        <li>Languages now have a parent language (for displaying missing strings)</li>
        <li>Some fixes for locales and time display in several languages</li>
        <li>es_mx is being phased out in favour of &quot;es&quot; (International 
          Spanish) </li>
      </ul>
    </dd>
    <dt>Forum</dt>
    <dd> 
      <ul>
        <li>Much improved searching, with multiple keywords, paging etc</li>
        <li>Forum grading can be either off, used by everyone, or used only by teachers</li>
        <li>Forum grading can use custom scales or numbers</li>
        <li>A date range can be set to restrict the posts that can be graded.</li>
        <li>Admin now has access to some settings via Admin -&gt; Modules -&gt; Forums </li>
        <li>After editing a post, user is returned to post in context</li>
        <li>Attached images are displayed inline</li>
        <li>Email copies in plain text format now print URLs nicely</li>
      </ul>
    </dd>
    <dt>Quiz</dt>
    <dd> 
      <ul>
        <li>New question type: Embedded Answers (Cloze) - allows text passages 
          with embedded answers</li>
        <li>New question type: Numerical - allows a range of numerical answers 
          to be entered</li>
        <li>New question type: Description - not a real question, it allows text/graphics 
          to be inserted anywhere</li>
        <li>Expanded quiz reporting with modular report plugins</li>
        <li>New feature for repeat attempts, where each attempt builds on the 
          last </li>
        <li>If the quiz is closing within the next 24 hours, a small countdown 
          clock is shown in the title bar and alerts warn at ten minutes and zero 
          minutes.</li>
        <li>Some refactoring to the quiz code to make it easier to extend with 
          new question types</li>
      </ul>
    </dd>
    <dt>Resources</dt>
    <dd> 
      <ul>
        <li>Web links can now be in very customisable pop-up windows.</li>
        <li>Admin now has access to some settings via Admin -&gt; Modules -&gt; 
          Resources</li>
      </ul>
    </dd>
    <dt>Some of the more annoying bugs recently fixed</dt>
    <dd> 
      <ul>
        <li>Moving posts now also moves attachments</li>
        <li>No more warnings when looking for uploaded files in an empty course</li>
        <li>Students no longer always get plain-format mail on force-subscribed 
          forums</li>
        <li>Cookies can no longer interfere with the admin setup during installation</li>
        <li>Effectively no limit to the number of activities per section</li>
        <li>Several fixes when dealing with zip files, especially on Windows</li>
        <li>Admins can now edit accounts created from external databases</li>
        <li>Session no longer conflicts with other software</li>
        <li>Excel files now work on non-Intel machines</li>
      </ul>
    </dd>
</dl>
<hr />

<h3> New in Moodle 1.0.9 (29th May, 2003) :</h3>
<dl>
    <dt> General</dt>
    <dd> 
     <ul>
      <li>Various optimisations and significant performance enhancements</li>
      <li>Several obscure security fixes</li>
      <li>Moodle is now well-behaved when enclosed within a frame</li>
      <li>Richtext editor can now be used in more text-editing fields</li>
      <li>New format "Plain text format", useful when posting code or HTML.</li>
      <li>New format "Wiki format", allows Wiki-style tagging in most places</li>
      <li>New popup allows emoticons/smilies to be inserted by clicking on images</li>
      <li>Ability to specify permissions of new folders and files created on the server</li>
      <li>Some fixes for servers running in Safe Mode (some file problems remain)</li>
      <li>Various fixes for cleaning some external text of quotes, etc</li>
      <li>Various fixes for PostgreSQL 7.3 compatibility</li>
      <li>Started migration of HTML code towards XHTML Transitional</li>
      <li>Countless other little fixes all over the place</li>
     </ul>
    </dd>
    <dt> Languages</dt>
    <dd> 
      <ul>
      <li><b>10</b> new language packs!   Argentinian Spanish, Czech, Portuguese, Slovakian, Romanian, Danish, Russian, Polish, Chinese Traditional and French Canadian.</li>
      <li>Fixes and upgrades to almost all language packs</li>
      <li>Language can be specified for the current session (see menu on home page and login page) and can be changed on any page by something to the url, eg:  http://moodle.org/?lang=ru </li>
      <li>Language menu can be restricted to a subset of languages and even removed.
      <li>Truetype fonts are now part of the language packs</li>
      <li>ALL dates/times can now be reformatted as part of the language pack</li>
      <li>A small but annoying bug was fixed with the web-based language editor on Windows servers that caused language files to grow</li>
    </ul>
    </dd>
    <dt> Developers</dt>
    <dd> 
    <ul
      <li>Global debug variable gives more feedback about uninitialised variables and the like</li>
      <li>Various fixes to tidy up and further standardise some of the PHP code</li>
      <li>Various fixes for robustness (ensuring variables are always initialised)</li>
    </ul>
    </dd>
    <dt> Admin</dt>
    <dd> 
      <ul>
      <li><font color=red>Some changed options and code in config-dist.php (if upgrading, compare with your current config.php or rebuild your config.php from scratch)</font></li>
      <li><font color=red>Many changes to themes - authors of custom themes should read <a href="http://moodle.org/theme/UPGRADE.txt">theme/UPGRADE.txt</a> </font></li>
      <li>New moodle.org registration function for security notifications etc</li>
      <li>Admin directory can be moved from /admin to something else (see config-dist.php)</li>
      <li>User listing is now paged, and can now be searched for strings</li>
      <li>Module management: activity modules can now be individually disabled or deleted completely</li>
      <li>Improvements to the language editing page</li>
      <li>Better checking of PHP environment during installation, with warnings</li>
      <li>Cleaner installation procedure.</li>
    </ul>
    </dd>
    <dt> User management</dt>
    <dd> 
      <ul>
      <li>New role: Course creator - just like teacher but can also create new courses</li>
      <li>New authentication plug-in named "manual", prevents users from creating their own accounts</li>
      <li>"Forgot Password" routine now uses an email confirmation before resetting password</li>
    </ul>
    </dd>
    <dt> Courses</dt>
    <dd> 
    <ul>
      <li>Activities on the course page now have a little button to hide/show that activity to students</li>
      <li>Whole topics/weeks can also now be hidden or shown</li>
      <li>The list of participants now has some paging, to cope with very large classes</li>
      <li>Zip/Unzip is now supported by an internal zip library, removing 
       the dependence on external programs to do this.  This also means that 
       zip/unzip now works on Windows.</li>
    </ul>
    </dd>
    <dt> Assignments</dt>
    <dd> 
      <ul>
      <li>Assignment submissions can be sorted</li>
      <li>Assignment notification mail isn't sent to unenrolled students</li>
      </ul>
    </dd>
    <dt> Forums</dt>
    <dd>
      <ul> 
      <li>Display of forum discussions list is greatly improved</li>
      <li>Whole discussions can be moved to any other forum with a single click</li>
      <li>Date/time of posts is now "last modified", not "created"</li>
      <li>Blank subject-lines or messages are now prevented</li>
      <li>More intelligent parsing and display of text in posts</li>
      <li>Force Subscribe now works on the "Site News" forum (mails all active students/teachers)</li>
      <li>Better handling of mailouts to prevent the possibility of double copies
        that sometimes happened with very large classes</li>
    </ul>
    </dd>
    <dt> Workshop Assignment module (not included: available soon as a separate download)</dt>
    <dd> 
      <ul>
      <li>A very interesting new module contributed by Ray Kingdon,</li>
      <li>A flexible tool that implements a variety of peer-grading and 
        example-setting schemes that involve a whole group in examining 
        and grading pieces of work.</li>
      </ul>
    </dd>
    <dt> Quizzes</dt>
    <dd> 
      <ul>
      <li>New question type, Random Question (selects from all questions in the same category)</li>
      <li>New question type, Matching Question (student must match answers to questions)</li>
      <li>New question type, Random Matching Short-Answers (randomly creates Matching Questions 
        from the available Short Answer questions in the same category)</li>
      <li>Quiz question import from text files (modular design allows expansion to new formats - a beta Blackboard module is included)</li>
      <li>'Create multiple questions' wizard to quickly create a random quiz</li>
      <li>Quiz questions may be randomly shuffled</li>
      <li>Quiz answers (multiple choice, etc) may be randomly shuffled</li>
      <li>Fixed off-by-one error when "Save Grades" button wasn't used.</li>
      <li>Regrading works properly if the quiz has been changed</li>
      <li>Editing a question after it's already been used in a quiz no longer affects quiz results</li>
      <li>Multiple choice answers are labelled a,b,c not 1,2,3</li>
    </ul>
    </dd>
    <dt> Resources</dt>
    <dd>  
      <ul>
      <li>Better performance when editing large text or HTML resources</li>
      <li>Plain images are now display centered within a proper web page (not raw).</li>
      <li>Wiki format added as a new option for Resource pages</li>
      </ul>
    </dd>
    <dt> Custom Themes</dt>
    <dd> 
      <ul>
      <li>A number of new styles have been added to all built-in themes.  Some of these are ESSENTIAL
        to viewing some of the new features.  PLEASE SEE 
        <a href="http://moodle.org/theme/UPGRADE.txt">theme/UPGRADE.txt</a> 
        TO SEE THE CHANGES YOU WILL HAVE TO MAKE TO OLDER THEMES.</li>
      <li>Custom themes now have the capability to re-define all the little button graphics.  
        There is a new entry in theme/x/config.php ($THEME->custompix) and a new  
        optional subdirectory "pix".  See the theme cordoroyblue for an example.</li>
       </ul>
    </dd>
  </dl>
<hr />


<p>Older releases can be seen in the <a href="http://moodle.org/mod/forum/view.php?f=1">Moodle.org announcement forum</a>.


<p>&nbsp;</p>
<p align="center"><font size="1"><a href="../doc/" target="_top">Moodle Documentation</a></font></p>
<p align="center"><font size="1">Version: $Id$</font></p>
